﻿@model List<ARGNSModelHistoryView>
@{
    ViewBag.Title = "_PDMChangeLog";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<h1 class="page-header">@PDM.ChangeLog</h1>

<div class="row">
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped" id="HistoryTable">
                <thead>
                    <tr>
                        <th>@PDM.Instance</th>
                        <th>@PDM.Code</th>                       
                        <th>@PDM.Updated</th>
                        <th>@PDM.UpdatedBy</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ARGNSModelHistoryView item in Model)
                    {

                        <tr>
                            <td>@item.LogInst</td>
                            <td>
                                @item.Code
                                <input type="hidden" id="@item.LogInst" value="@item.LogInst" />
                            </td>                           
                            <td>@item.UpdateDate.ToShortDateString()</td>
                            <td>@item.UserSignName</td>
                            <td>
                                @Html.CheckBox("chksel", false, new { @Id = "chksel" + @item.LogInst, @value = @item.LogInst })
                            </td>
                        </tr>
                    }
                </tbody>
            </table>

        </div>
    </div>

    <input type="hidden" id="Code" value="@ViewBag.Code" />
    <input type="hidden" id="U_ModelCode" value="@ViewBag.U_ModelCode" />

    <div class="form-group" style="margin-left: 10px; margin-bottom: 10px; margin-top: 5px; margin-right: 60px;">
        <a class="btn btn-success btn-ls pull-left" id="btnHistory"><span class="glyphicon glyphicon-file"></span>@PDM.ShowDiff</a>
    </div>
    <br />
    <br />
    <div class="panel-body">
        <div id="ModelHistoryTable" class="table-responsive">
            <div id="LoadingHistory" style="display: none">
                <img src="~/Content/img/fountain.GIF" />
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/ChangeLogView")



